export interface OnboardingStep {
    element: string;
    title: string;
    description: string;
    position?: 'top' | 'bottom' | 'left' | 'right' | 'auto';
    media?: {
        type: 'image' | 'gif' | 'video';
        url: string;
        alt?: string;
    };
    highlightStyle?: 'solid' | 'dotted' | 'dashed' | 'pulse' | 'glow';
}
export interface OnboardingOptions {
    overlayColor?: string;
    textColor?: string;
    backgroundColor?: string;
    allowSkip?: boolean;
    skipOnMissingElement?: boolean;
    allowKeyboardNavigation?: boolean;
    onComplete?: () => void;
}
